Package: groovy.mock.interceptor

## [Groovy] Class MockInterceptor

- groovy.mock.interceptor.MockInterceptor

- All Implemented Interfaces and Traits:
    PropertyAccessInterceptor

      class MockInterceptor

  Intercepting calls to the collaborating object and notify the expectation object.

  Authors:
    Dierk Koenig

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `expectation`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `afterInvoke(Object object, String methodName, Object[] arguments, Object result)`
    `` | `def` | `beforeGet(Object object, String property)`
    `` | `def` | `beforeInvoke(Object object, String methodName, Object[] arguments)`
    `` | `void` | `beforeSet(Object object, String property, Object newValue)`
    `` | `boolean` | `doInvoke()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### def expectation

  - ### Method Detail

    - #### def afterInvoke(Object object, String methodName, Object[] arguments, Object result)

    - #### def beforeGet(Object object, String property)

    - #### def beforeInvoke(Object object, String methodName, Object[] arguments)

    - #### void beforeSet(Object object, String property, Object newValue)

    - #### boolean doInvoke()